Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.extractor
Class InfoCom

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.util.Vector<org.eclipse.jdt.core.dom.IMethodBinding>>
              emn.fr.ascola.extractor.InfoCom

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.Vector<org.eclipse.jdt.core.dom.IMethodBinding>>

    public class InfoCom

extends java.util.HashMap<java.lang.String,java.util.Vector<org.eclipse.jdt.core.dom.IMethodBinding>>

Class to store method reference from calls in the code. The first argument is the receiver type (or class of the methods)

Author:
  jroyer
See Also:
  Serialized Form

Constructor Summary
`InfoCom()`

Method Summary
`void` | `addCom(java.lang.String rec, org.eclipse.jdt.core.dom.IMethodBinding im)` Add for entry rec the new method.
`boolean` | `contains(java.lang.String rec, org.eclipse.jdt.core.dom.IMethodBinding im)` Check if the method is already in the hashmap.
`java.lang.String` | `toString()` String representation.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### InfoCom

    public InfoCom()

Method Detail

### toString

    public java.lang.String toString()

  String representation.

  Overrides:
    `toString` in class `java.util.AbstractMap<java.lang.String,java.util.Vector<org.eclipse.jdt.core.dom.IMethodBinding>>`

### addCom

    public void addCom(java.lang.String rec,
                       org.eclipse.jdt.core.dom.IMethodBinding im)

  Add for entry rec the new method.

  Parameters:
    `rec` -
    `im` -

### contains

    public boolean contains(java.lang.String rec,
                            org.eclipse.jdt.core.dom.IMethodBinding im)

  Check if the method is already in the hashmap.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD